<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Button - jQuery UI</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <script src="../../static/jquery/jquery-ui.js"></script>
    <script src="../../static/jquery/jquery-session.js"></script>
    <link href="../../static/jquery/jquery-ui.css" rel="stylesheet">
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console">
    </div>

    <button id="btnAdd">Add</button>
    <button id="btnGet">Get</button>
    <button id="btnDelete">Delete</button>
    <button id="btnClean">Clean</button>
    
    <h2>Reference</h2>
    <hr>
    <a href="https://www.cnblogs.com/xiyangbaixue/p/4238768.html">使用jquery操作session</a>
    <script>
        $(function() {
            var $console = $('#console');
            var $btnAdd = $('#btnAdd');
            var $btnGet = $('#btnGet');
            var $btnDelete = $('#btnDelete');
            var $btnClean = $('#btnClean');
            var keyCode = 0;
            var valueCode = 0;

            $btnAdd.off('click').on('click', function() {
                var key = keyCode + '';
                var val = valueCode + '';

                $.session.set(key, val);

                keyCode++;
                valueCode++;
            });


            $btnGet.off('click').on('click', function() {
                var key; 
                var msg = '';
                for (var i = 0; i < keyCode; i++) {
                    key = i + '';
                    msg += $.session.get(key);
                    msg += '<br>';
                }
                $console.html(msg);
            });
            $btnDelete.off('click').on('click', function() {
                var key = keyCode - 1;
                $.session.remove(key);
            });
            $btnClean.off('click').on('click', function() {
                $.session.clear();
            });

            var initPageView = function() {}

            initPageView();

        });

    </script>
</body>

</html>
